Subject: [PATCH RFC 1/2] gpio: Add a block GPIO API to gpiolib

From: [email-masked] (Roland Stigge)
Date: Thu, 04 Oct 2012 22:25:48 +0200

Hi,

On 04/10/12 01:07, Linus Walleij wrote:
>> What do others think? JC? Linus? I'm considering this (unsigned int
>> data) a valid option.
> 
> I think we mostly use an unsigned long for such stuff as IRQ flags
> and ioctl() parameters in the kernel.
> 
> In this case it has the upside that it will be 32bit on 32bit systems
> and 64bit on 64bit systems if I'm not mistaken.

Fine. Will try to prepare a patch tomorrow, including fallback to single
GPIO handling (if the driver doesn't implement block operations) and
omitting the sysfs interface in the first patch.

Roland